Subject: Re: [PATCH v4 30/31] CI: have osx-gcc use gcc, not clang

From: Junio C Hamano <[email-masked]>
Date: Thu, 21 Apr 2022 13:12:10 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> First. I see you re-queued a the v2 of Johannes's patches. I had some
> outstanding fixes for my series [2] + the derived version of his on top
> [3] which I thought I'd submit regardless.

I do not mind flip-flopping on alternate days for a week or so.

Quite honestly I do not care which ones come first all that much.
All I care about is (1) we keep CI functional and (2) we do not
butcher Makefile too badly in the process.  Part of "functional" is
"not unusably slow".

Making the CI process less locked into a particular vendor and
allowing the build/test with a configuration as similar as what is
run on CI locally are nice to have that can come at the same time,
but I wouldn't shed tears if we defer them to later, as long as they
eventually materialize.

If you can fix Dscho's series by adding a series on top, that sounds
like one approach of lessor resistance.